(function($) {
mui.init();
	var strUserId = getParams("strUserId");
	var strSchoolId = getParams("strSchoolId");
	var strSchoolName = getParams("strSchoolName");

	getUserSignUpMessage();

	function getUserSignUpMessage() {

		///*
		mui.ajax(userSignUpInfo_interface , {
			data: {
				strUserId: strUserId
			},
			dataType: 'json',
			type: "get",
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			success: function(respData) {
//				alert(respData);
//				console.log(JSON.stringify(respData));
				if(respData.status == "SUCCESS") {
					document.getElementById("systemMessage").innerHTML = "请检查以下信息是否正确，如不正确请修改；如果无需修改，请点击“提交”按钮，直接进行预报名";
					mui("#username")[0].value = respData.data.strUserName;
					mui("#usernumber")[0].value = respData.data.strExamId;
					mui("#useraddr")[0].value = respData.data.strUserLocation;
					mui("#usertype")[0].value = respData.data.strSubject;
					mui("#userphone")[0].value = respData.data.strPhone;
					mui("#userreletion")[0].value = respData.data.strRelationship;
					if(!checkVarIsEmpty(respData.data.strUserName)){
						document.body.querySelector('.mui-input-clear').disabled="disabled";
						document.getElementById("subminBtn").style.display='none';
					}
				} else {
					mui.toast("获取用户信息失败...")
				}

			},
			error: function(error) {
				mui.toast("获取用户信息失败...")
			}
		})
		//*/
	}

	mui(".mui-content").on('tap', "#subminBtn", function() {
		var strName = mui("#username")[0].value;
		var strNumber = mui("#usernumber")[0].value;
		var strAddr = mui("#useraddr")[0].value;
		var strType = mui("#usertype")[0].value;
		var strPhone = mui("#userphone")[0].value;
		var strRelection = mui("#userreletion")[0].value;

		if(strName.length > 0 && strNumber.length > 0 && strAddr.length > 0 && strType.length > 0 && strPhone.length > 0 && strRelection.length > 0) {
			var postDic = {
				strUserId: strUserId,
				strUserName: strName,
				strUserLocation: strAddr,
				strExamId: strNumber,
				strSubject: strType,
				strPhone: strPhone,
				strRelationship: strRelection,
				strSchoolId: strSchoolId,
				strSchoolName: strSchoolName
			}
			postMessageToSignUp(postDic);
		} else {
			mui.alert("所有内容为必填，请检查是否正确填写。");
		}
	})

	function postMessageToSignUp(postParam) {

		mui.ajax(signUp_interface, {
			data: postParam,
			dataType: 'json',
			type: "post",
			success: function(respData) {
				if(respData.status == "SUCCESS") {
					mui.toast("预报名成功！");
					mui.back();
				} else {
					mui.toast("预报名失败，请重试");
				}
			},
			error: function(error) {
				mui.toast("预报名失败，请重试");
			}
		})
	}

})(mui);